# ChangeLog for sys-apps/gawk
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-apps/gawk/ChangeLog,v 1.77 2006/04/12 00:12:42 vapier Exp $

*gawk-3.1.5-r1 (12 Apr 2006)

  12 Apr 2006; Mike Frysinger <vapier@gentoo.org>
  +files/gawk-3.1.5-binmode.patch, +files/gawk-3.1.5-fieldwidths.patch,
  +files/gawk-3.1.5-num2str.patch, +gawk-3.1.5-r1.ebuild:
  Fix bug in FIELDWIDTHS and grab some other patches from Fedora.

  30 Mar 2006; Diego Pettenò <flameeyes@gentoo.org> gawk-3.1.5.ebuild:
  Add ~x86-fbsd keyword.

  19 Mar 2006; Fernando J. Pereda <ferdy@gentoo.org> gawk-3.1.5.ebuild:
  Stable on alpha as per bug #126362

  16 Mar 2006; Emanuele Giaquinta <exg@gentoo.org> gawk-3.1.5.ebuild:
  Stable on ppc; bug #126362

  16 Mar 2006; Torsten Veller <tove@gentoo.org> gawk-3.1.5.ebuild:
  Stable on x86 (#126362)

  16 Mar 2006; Gustavo Zacarias <gustavoz@gentoo.org> gawk-3.1.5.ebuild:
  Stable on sparc wrt #126362

  16 Mar 2006; Patrick McLean <chutzpah@gentoo.org> gawk-3.1.5.ebuild:
  Stable on amd64 (bug #126362).

  16 Mar 2006; Markus Rothe <corsair@gentoo.org> gawk-3.1.5.ebuild:
  Stable on ppc64; bug #126362

  07 Mar 2006; Diego Pettenò <flameeyes@gentoo.org> gawk-3.1.5.ebuild:
  Don't use /usr/lib/misc, use the right libdir for the current ABI. Fix
  multlib-strict.

  13 Oct 2005; Kito <kito@gentoo.org> gawk-3.1.5.ebuild:
  ~ppc-macos keyword

  03 Oct 2005; Hardave Riar <hardave@gentoo.org> gawk-3.1.4-r4.ebuild:
  Stable on mips.

  01 Oct 2005; Luis Medinas <metalgod@gentoo.org> gawk-3.1.4-r4.ebuild:
  Marked Stable on amd64.

  21 Sep 2005; Mike Frysinger <vapier@gentoo.org> gawk-3.1.5.ebuild:
  Move libexec dir from /usr/libexec to /usr/lib/misc.

  17 Sep 2005; Ciaran McCreesh <ciaranm@gentoo.org> ChangeLog:
  Converted to UTF-8, fixed encoding screwups

  16 Sep 2005; Aron Griffis <agriffis@gentoo.org> gawk-3.1.4-r4.ebuild:
  Mark 3.1.4-r4 stable on alpha

  03 Sep 2005; Markus Rothe <corsair@gentoo.org> gawk-3.1.4-r4.ebuild:
  Stable on ppc64

  03 Sep 2005; Mike Frysinger <vapier@gentoo.org>
  +files/gawk-3.1.5-gcc4.patch, files/filefuncs/Makefile, gawk-3.1.5.ebuild:
  Fix by Kito for building with gcc4 #104740 and move a bunch of ugly filefunc
  details out of the ebuild and into the filefunc Makefile.

  02 Sep 2005; Michael Hanselmann <hansmi@gentoo.org> gawk-3.1.4-r4.ebuild:
  Stable on ppc.

  02 Sep 2005; Gustavo Zacarias <gustavoz@gentoo.org> gawk-3.1.4-r4.ebuild:
  Stable on sparc

*gawk-3.1.5 (01 Sep 2005)

  01 Sep 2005; Mike Frysinger <vapier@gentoo.org>
  +files/gawk-3.1.5-core.patch, +gawk-3.1.5.ebuild:
  Version bump.

  29 May 2005; <solar@gentoo.org> gawk-3.1.3-r2.ebuild:
  echangelog - update package to use libc expanded variable elibc_uclibc vs
  uclibc so USE=-* works

  06 May 2005; Mike Frysinger <vapier@gentoo.org>
  files/filefuncs/filefuncs.c, gawk-3.1.4-r4.ebuild:
  Add switch capabilities #91182 by Ekatalog and BSD support #90847 by Diego
  Pettenò.

*gawk-3.1.4-r4 (19 Feb 2005)

  19 Feb 2005; Mike Frysinger <vapier@gentoo.org> -gawk-3.1.4-r3.ebuild,
  +gawk-3.1.4-r4.ebuild:
  Update the xml patch to the current version.

*gawk-3.1.4-r3 (14 Feb 2005)

  14 Feb 2005; Mike Frysinger <vapier@gentoo.org> -gawk-3.1.4-r2.ebuild,
  +gawk-3.1.4-r3.ebuild:
  Build xmlgawk separately from the normal gawk so we dont link against
  libexpat (which is in /usr/lib) #81793.

*gawk-3.1.4-r2 (11 Feb 2005)

  11 Feb 2005; Mike Frysinger <vapier@gentoo.org>
  +files/gawk-3.1.3-getpgrp_void.patch, +files/gawk-3.1.4-flonum.patch,
  +files/gawk-3.1.4-nextc.patch, +files/gawk-3.1.4-uplow.patch,
  -gawk-3.1.4-r1.ebuild, +gawk-3.1.4-r2.ebuild:
  Add some patches from Fedora and xmlgawk support #57857 by Alcino Dall Igna
  Junior.

*gawk-3.1.4-r1 (29 Jan 2005)

  29 Jan 2005; Mike Frysinger <vapier@gentoo.org>
  +files/gawk-3.1.4-disable-DFA.patch, +gawk-3.1.4-r1.ebuild,
  -gawk-3.1.4.ebuild:
  Version bump with patch from Fedora to fix random LOCALE bugs #78227.

  14 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  files/filefuncs/Makefile, gawk-3.1.3-r2.ebuild, gawk-3.1.4.ebuild:
  multilib fixes for filefuncs.

*gawk-3.1.4 (12 Jan 2005)

  12 Jan 2005; Mike Frysinger <vapier@gentoo.org> gawk-3.1.3-r2.ebuild,
  +gawk-3.1.4.ebuild:
  Version bump.

*gawk-3.1.3-r2 (22 Nov 2004)

  22 Nov 2004; Mike Frysinger <vapier@gentoo.org> +gawk-3.1.3-r2.ebuild:
  Use econf/install with DESTDIR.

  14 Nov 2004; Tony Vroon <chainsaw@gentoo.org> gawk-3.1.3-r1.ebuild:
  Portability update to cp command, change -d to -P, which works on more OS's.
  Suggested by Chris L. Mason <clmason@mac.com> in bug #66911.

  28 Sep 2004; Sven Wegener <swegener@gentoo.org>
  files/filefuncs/filefuncs.c:
  Gentoo Technologies, Inc. -> Gentoo Foundation

  01 Sep 2004; Travis Tilley <lv@gentoo.org> gawk-3.1.3-r1.ebuild:
  made gawk use $(get_libdir)

  24 Aug 2004; Sven Wegener <swegener@gentoo.org> gawk-3.1.3-r1.ebuild:
  Changed SRC_URI to use mirror:// syntax.

  16 Jul 2004; Michael Sterrett <mr_bones_@gentoo.org> -gawk-3.1.1-r2.ebuild,
  -gawk-3.1.2-r3.ebuild, gawk-3.1.3-r1.ebuild, -gawk-3.1.3.ebuild:
  gnuconfig_update in src_unpack; use emake; tidy; clean older ebuilds

  27 Jun 2004; Aron Griffis <agriffis@gentoo.org> gawk-3.1.1-r2.ebuild,
  gawk-3.1.2-r3.ebuild, gawk-3.1.3.ebuild:
  QA - fix use invocation

  15 Jun 2004; <solar@gentoo.org> gawk-3.1.3-r1.ebuild:
  run gnuconfig_update when using uclibc

  25 Apr 2004; Tom Gall <tgall@gentoo.org> gawk-3.1.3-r1.ebuild:
  fix bug 48990 -- affects all 64 bit architectures

  07 Mar 2004; Joshua Kinard <kumba@gentoo.org> gawk-3.1.1-r2.ebuild,
  gawk-3.1.2-r3.ebuild, gawk-3.1.3-r1.ebuild, gawk-3.1.3.ebuild:
  Marked stable on mips, copyright header fixes.

  09 Jan 2004; Aron Griffis <agriffis@gentoo.org> gawk-3.1.3-r1.ebuild:
  stable on alpha

  28 Dec 2003; Joshua Kinard <kumba@gentoo.org> gawk-3.1.3.ebuild:
  Move to mips stable (~mips -> mips)

  28 Dec 2003; Martin Schlemmer <azarah@gentoo.org> gawk-3.1.3-r1.ebuild:
  Move pgawk and igawk to /usr/bin, bug #36453.

*gawk-3.1.3-r1 (28 Dec 2003)

  28 Dec 2003; Martin Schlemmer <azarah@gentoo.org> gawk-3.1.3-r1.ebuild:
  Make sure /bin/pgawk is a symlink as to not have two binaries taking space.

  21 Jul 2003; Christian Birchinger <joker@gentoo.org> gawk-3.1.3.ebuild:
  Added sparc stable keyword

  20 Jul 2003; Brandon Low <lostlogic@gentoo.org> gawk-3.1.3.ebuild:
  Mark stable for x86 and amd64

*gawk-3.1.3 (10 Jul 2003)

  23 Jul 2003; Guy Martin <gmsoft@gentoo.org> gawk-3.1.1-r2.ebuild :
  Marked stable on hppa.

  22 Jul 2003; Martin Schlemmer <azarah@gentoo.org> gawk-3.1.1-r2.ebuild,
  gawk-3.1.2-r3.ebuild, gawk-3.1.3.ebuild:
  Do not copy the filefuncs files with original permissions in tackt, thanks to
  Tobias Sager <moixa@gmx.ch>, bug #24989.

  10 Jul 2003; Brandon Low <lostlogic@gentoo.org> gawk-3.1.3.ebuild:
  Bump

  24 Jun 2003; Aron Griffis <agriffis@gentoo.org> gawk-3.1.2-r3.ebuild:
  Mark stable on alpha

*gawk-3.1.2-r3 (27 Mar 2003)

  06 Jul 2003; Guy Martin <gmsoft@gentoo.org> gawk-3.1.2-r3.ebuild :
  Marked stable on hppa.

  22 Jun 2003; Joshua Kinard <kumba@gentoo.org> gawk-3.1.2-r3.ebuild:
  Changed ~sparc to sparc in KEYWORDS
  Changed ~mips to mips in KEYWORDS

  08 Jun 2003; Brandon Low <lostlogic@gentoo.org> gawk-3.1.2-r3.ebuild:
  Mark unstable, see bug 21713 for reasons, will wait for 3.1.3 to have a new
  stable gawk

  23 May 2003; Tavis Ormandy <taviso@gentoo.org> gawk-3.1.2-r3.ebuild:
  support for ccc (alpha).

  20 May 2003; Martin Schlemmer <azarah@gentoo.org> gawk-3.1.2-r3.ebuild :
  Mark stable for all, as all issues are fixed, and 3.1.1-r2 with filefuncs
  did not seem to propagate properly.

  11 May 2003; Martin Schlemmer <azarah@gentoo.org> gawk-3.1.1-r2.ebuild :
  Mark stable for all, as next baselayout will need a gawk with filefuncs.

  26 Apr 2003; Christian Birchinger <joker@gentoo.org> gawk-3.1.2-r3.ebuild :
  Added stable sparc keyword

  17 Apr 2003; Brandon Low <lostlogic@gentoo.org> gawk-3.1.2-r3.ebuild :
  Changed x86 keywords

  27 Mar 2003; Martin Schlemmer <azarah@gentoo.org> gawk-3.1.2-r3.ebuild :
  Special files like those in /proc, report themselves as regular files
  of length 0, when in fact they have data in them if you try to read them.
  The new record-reading code wasn't quite smart enough to deal with such
  a bizarre case.  The following patch fixes the problem, thanks to 
  Arnold D. Robbins (Maintainer of gawk).

*gawk-3.1.1-r2 (26 Mar 2003)

  26 Mar 2003; Martin Schlemmer <azarah@gentoo.org> gawk-3.1.1-r2.ebuild :
  For some reason gawk-3.1.2 is more pain than worth.  Seems this release
  also borks the ability to specify input files as arguments:

    # gawk '/devfs/ { print }' /proc/filesystems 
    #

  should have been the same as:
  
    # cat /proc/filesystems | gawk '/devfs/ { print }'
    nodev	devfs
    nodev	usbdevfs
    # 

  Thus all this release does, is get the filefuncs module into 3.1.1 as well,
  so that we can totally mask gawk-3.1.2.

*gawk-3.1.2-r2 (25 Mar 2003)

  25 Mar 2003; Martin Schlemmer <azarah@gentoo.org> gawk-3.1.2-r2.ebuild :
  Add filefuncs module from baselayout, as it is very closly tied to the gawk
  version running.  While we are at it, version the module (filefuncs.so.0.0.1,
  with soname of filefuncs.so.0 for now).  Do not install acconfig.h into
  /usr/include/awk, as it is redundant.  This should fix bug #18127.

*gawk-3.1.2-r1 (25 Mar 2003)

  25 Mar 2003; Martin Schlemmer <azarah@gentoo.org> gawk-3.1.2-r1.ebuild :
  Version that should not really have hit portage, but I was busy at work
  and closing time caught me.

*gawk-3.1.2 (24 Mar 2003)

  24 Mar 2003; Brandon Low <lostlogic@gentoo.org> gawk-3.1.2.ebuild :
  -* keyword, and get the -r1 ebuild stuff that I somehow ignored into it, a -r1
  which will be ~ rather than - will be forthcoming

  24 Mar 2003; Brandon Low <lostlogic@gentoo.org> gawk-3.1.2.ebuild :
  Bump

  20 Feb 2003; Zach Welch <zwelch@gentoo.org> gawk-3.1.1-r1.ebuild :
  Added arm to keywords.

  08 Feb 2003; Guy Martin <gmsoft@gentoo.org> gawk-3.1.1-r1.ebuild :
  Added hppa to keywords.

*gawk-3.1.1-r1 (20 Dec 2002)

  20 Dec 2002; Jan Seidel <tuxus@gentoo.org> gawk-3.1.1-r1.ebuild :
  Added mips to keywords

  16 Dec 2002; Martin Schlemmmer <azarah@gentoo.org> gawk-3.1.1-r1.ebuild :
  Fix rare case where gawk do not get installed as /bin/gawk-$PV, but
  rather /bin/gawk-.  Fix missing docs.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
*gawk-3.1.1-r1 (14 Nov 2002)

  14 Nov 2002; Martin Schlemmmer <azarah@gentoo.org> :
  Install gawk headers into /usr/include/awk.

*gawk-3.1.1 (21 Jul 2002)

  21 Jul 2002; Martin Schlemmmer <azarah@gentoo.org> :
  Update version.

*gawk-3.1.0-r3 (21 Jul 2002)

  21 Jul 2002; Martin Schlemmer <azarah@gentoo.org> :
  Move /usr/bin/awk to /bin/awk for upcomming baselayout.

*gawk-3.1.0-r2 (26 Jun 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> gawk-3.1.0-r2.ebuild :
  Added KEYWORDS, SLOT.

  26 Jun 2002; Martin Schlemmer <azarah@gentoo.org> :
  Add /bin/awk compat symlink, closing bug #3288.

*gawk-3.1.0-r1 (12 Mar 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> gawk-3.1.0-r1.ebuild :
  Added KEYWORDS, SLOT.

  12 Mar 2002; Seemant Kulleen <seemant@gentoo.org> ChangeLog :

  Added USE dependent nls compilation

*gawk-3.1.0 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
